Package wx :: Package lib :: Module pydocview :: Class ChildDocTemplate

[frames | no frames]

## Type ChildDocTemplate

    object --+
             |
        Object --+
                 |
       DocTemplate --+
                     |
                    ChildDocTemplate

A ChildDocTemplate is a DocTemplate subclass that enables the creation of ChildDocuments that represents a portion of a Document. The child document is managed by the parent document, so it will be prompted to close if its parent is closed, etc. Child Documents are useful when there are complicated Views of a Document and users will need to tunnel into the View.

Method Summary
| ``__init__`(self, manager, description, filter, dir, ext, docTypeName, viewTypeName, docType, viewType, flags, icon)` Initializes the ChildDocTemplate.
| ``CreateDocument`(self, path, flags, data, parentDocument)` Called when a ChildDocument is to be created and does the minimum such that the ChildDocument looks like a real Document to the framework.

Property Summary

Method Details

### __init__(self, manager, description, filter, dir, ext, docTypeName, viewTypeName, docType, viewType, flags=2, icon=None)
(Constructor)

Initializes the ChildDocTemplate.

  Overrides:
    `wx.lib.docview.DocTemplate.__init__`

### CreateDocument(self, path, flags, data=None, parentDocument=None)

Called when a ChildDocument is to be created and does the minimum such that the ChildDocument looks like a real Document to the framework.

  Overrides:
    `wx.lib.docview.DocTemplate.CreateDocument`

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:33 2007 | http://epydoc.sf.net